#-----------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# WebSphere Commerce
#
# (C) Copyright IBM Corp. 2007, 2010 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#-----------------------------------------------------------------

#===============================================================================
# This file contains properties used by the WCBD build process.
#===============================================================================

#===============================================================================
# CONFIGURATION: Change the properties in this file as appropriate. Refer to the
# property comments for configuration details.
#===============================================================================

#===============================================================================
# General WCBD build properties
#===============================================================================

#-------------------------------------------------------------------------------
# unit.test.lib.dir
#
# The directory that keeps libraries (e.g. JUnit) related to unit test that are
# needed for the compilation of unit test code. Note that this property has
# been deprecated - use the ${ext.compile.class.path} property instead.
#
# DEPRECATED: V7 FP 2 
#-------------------------------------------------------------------------------
unit.test.lib.dir=${basedir}/ut-lib

#-------------------------------------------------------------------------------
# source.dir
#
# The source directory.
#-------------------------------------------------------------------------------
source.dir=${basedir}/source/${build.label}

#-------------------------------------------------------------------------------
# module.dir
#
# The directory containing Java EE module assets to be built. This includes
# connector, EJB, and web modules.
#-------------------------------------------------------------------------------
module.dir=${source.dir}/workspace

#-------------------------------------------------------------------------------
# dist.dir
#
# The distribution directory that contains the deployment packages.
#-------------------------------------------------------------------------------
dist.dir=${basedir}/dist

#-------------------------------------------------------------------------------
# dist.server.dir
#
# The server deployment package distribution directory.
#-------------------------------------------------------------------------------
dist.server.dir=${dist.dir}/server

#-------------------------------------------------------------------------------
# dist.toolkit.dir
#
# The toolkit deployment package distribution directory.
#-------------------------------------------------------------------------------
dist.toolkit.dir=${dist.dir}/toolkit

#-------------------------------------------------------------------------------
# log.dir
#
# The log directory.
#-------------------------------------------------------------------------------
log.dir=${basedir}/logs/${build.type.prefix}${build.label}-${tstamp}

#-------------------------------------------------------------------------------
# log.file
#
# The log file.
#-------------------------------------------------------------------------------
log.file=${log.dir}/wcbd-build.log

#-------------------------------------------------------------------------------
# log.zip.file
#
# The log zip files attached to build failure notification.
#-------------------------------------------------------------------------------
log.zip.file=${log.dir}/wcbd-build-log-${build.label}.zip

#-------------------------------------------------------------------------------
# working.dir
#
# The working directory used to store temporary files.
#-------------------------------------------------------------------------------
working.dir=${basedir}/working

#-------------------------------------------------------------------------------
# working.compile.dir
#
# The working directory for compilation.
#-------------------------------------------------------------------------------
working.compile.dir=${working.dir}/compile

#-------------------------------------------------------------------------------
# working.archive.dir
#
# The working directory for module archives.
#-------------------------------------------------------------------------------
working.archive.dir=${working.dir}/archive

#-------------------------------------------------------------------------------
# working.package.server.dir
#
# The working directory for creating a server deployment package.
#-------------------------------------------------------------------------------
working.package.server.dir=${working.dir}/package/server

#-------------------------------------------------------------------------------
# working.package.toolkit.dir
#
# The working directory for creating a toolkit deployment package.
#-------------------------------------------------------------------------------
working.package.toolkit.dir=${working.dir}/package/toolkit

#-------------------------------------------------------------------------------
# imported.classes.dir
#
# The directory that contains class files that are packaged into the modules.
# Generally used for imported WebSphere Commerce Java EE modules such as EJB
# JARs.
#-------------------------------------------------------------------------------
imported.classes.dir=ImportedClasses

#-------------------------------------------------------------------------------
# connector.module.list
#
# The comma-separated list of connector modules to be built.
#
# Example:
#   TestConnector1,TestConnector2
#-------------------------------------------------------------------------------
connector.module.list=

#-------------------------------------------------------------------------------
# connector.src.dir
#
# The Java source directory of connector modules.
#-------------------------------------------------------------------------------
connector.src.dir=connectorModule

#-------------------------------------------------------------------------------
# connector.bin.dir
#
# The Java binary directory of connector modules.
#-------------------------------------------------------------------------------
connector.bin.dir=connectorModule

#-------------------------------------------------------------------------------
# ejb.module.list
#
# The comma-separated list of EJB modules to be built.
#
# Example:
#   WebSphereCommerceServerExtensionsData,TestEJB1
#-------------------------------------------------------------------------------
ejb.module.list=

#-------------------------------------------------------------------------------
# ejb.src.dir
#
# The Java source directory of EJB modules.
#-------------------------------------------------------------------------------
ejb.src.dir=ejbModule

#-------------------------------------------------------------------------------
# ejb.bin.dir
#
# The Java binary directory of EJB modules.
#-------------------------------------------------------------------------------
ejb.bin.dir=ejbModule

#-------------------------------------------------------------------------------
# java.module.list
#
# The comma-separated list of Java utility modules to be built.
#
# Example:
#   WebSphereCommerceServerExtensionsLogic,TestJava1
#-------------------------------------------------------------------------------
java.module.list=

#-------------------------------------------------------------------------------
# java.src.dir
#
# The Java source directory of Java utility modules.
#-------------------------------------------------------------------------------
java.src.dir=src

#-------------------------------------------------------------------------------
# java.bin.dir
#
# The Java binary directory of Java utility modules.
#-------------------------------------------------------------------------------
java.bin.dir=bin

#-------------------------------------------------------------------------------
# web.module.list
#
# The comma-separated list of web modules to be built.
#
# Example:
#   SiteAdministation,Stores,TestWeb1
#-------------------------------------------------------------------------------
web.module.list=

#-------------------------------------------------------------------------------
# web.src.dir
#
# The Java source directory of web modules.
#-------------------------------------------------------------------------------
web.src.dir=src

#-------------------------------------------------------------------------------
# web.bin.dir
#
# The Java binary directory of web modules.
#-------------------------------------------------------------------------------
web.bin.dir=${web.content.dir}/WEB-INF/classes

#-------------------------------------------------------------------------------
# web.content.dir
#
# The web content directory of web modules.
#-------------------------------------------------------------------------------
web.content.dir=WebContent

#-------------------------------------------------------------------------------
# open.laszlo.web.module.list
#
# The comma-separated list of Open Laszlo web modules to be built.
#
# Example:
#   LOBTools
#-------------------------------------------------------------------------------
open.laszlo.web.module.list=

#-------------------------------------------------------------------------------
# open.laszlo.web.src.dir
#
# The Java source directory of Open Laszlo web modules.
#-------------------------------------------------------------------------------
open.laszlo.web.src.dir=src

#-------------------------------------------------------------------------------
# open.laszlo.web.bin.dir
#
# The Java binary directory of Open Lazlo web modules.
#-------------------------------------------------------------------------------
open.laszlo.web.bin.dir=${web.content.dir}/WEB-INF/classes

#-------------------------------------------------------------------------------
# open.laszlo.web.content.dir
#
# The web content directory of Open Laszlo web modules.
#-------------------------------------------------------------------------------
open.laszlo.web.content.dir=WebContent

#-------------------------------------------------------------------------------
# data.module.name
#
# The dataload module (simple project) that contains dataload assets.
#-------------------------------------------------------------------------------
data.module.name=DataLoad

#-------------------------------------------------------------------------------
# static.web.module.name
#
# The static web module (simple project) that contains static web server assets.
#-------------------------------------------------------------------------------
static.web.module.name=StaticWeb

#-------------------------------------------------------------------------------
# ext.compile.class.path
#
# The classpath that contains additional class folders and libraries that are
# required for compilation. Note that it is up to the user to ensure that any
# classpath entries that are also required in runtime are available to the
# WC enterprise applciation. General speaking, such resource should be made
# available as part of the WC enterprise application, as such should not be set
# in this property.  
#
# SINCE: V7 FP 2
#-------------------------------------------------------------------------------
ext.compile.class.path=


#===============================================================================
# Properties for WebSphere Commerce
#===============================================================================

#-------------------------------------------------------------------------------
# wc.home
#
# The WebSphere Commerce or WebSphere Commerce Developer installation directory. 
#-------------------------------------------------------------------------------
wc.home=


#===============================================================================
# Properties for WebSphere Application Server (WAS)
#===============================================================================

#-------------------------------------------------------------------------------
# was.home
#
# The WAS installation directory. If Rational Application Developer V7.5 is
# part of the build environment, this property should be set to
# <RAD>/runtimes/base_v7, where <RAD> is the RAD installation directory.
#-------------------------------------------------------------------------------
was.home=


#===============================================================================
# Database-specific properties
#===============================================================================

#-------------------------------------------------------------------------------
# db.type
#
# The database (vendor) type of the target deployment environment. This property
# is used to load the compilation classpath accordingly. The following values
# should be used:
#
#   Derby/DB2: db2
#   Oracle:    oracle
#   DB2 for i: os400
#-------------------------------------------------------------------------------
db.type=db2

#-------------------------------------------------------------------------------
# ejbdeploy.dbvendor
#
# The database vendor type used by the WAS ejbdeploy tool. The following values
# should be used (the version should match that of the target database):
#
#   Derby/DB2: DB2UDB_V95
#   Oracle:    ORACLE_V11G
#   DB2 for i: DB2UDBISERIES_V54
#
# Refer to the WebSphere Application Server V7 Information Center for more
# information.
#-------------------------------------------------------------------------------
ejbdeploy.dbvendor=DB2UDB_V95


#===============================================================================
# Properties for extraction
#===============================================================================

#-------------------------------------------------------------------------------
# run.extract
#
# "true" if extraction should be done; "false" otherwise.
#-------------------------------------------------------------------------------
run.extract=true

#-------------------------------------------------------------------------------
# extract.ant.file
#
# The Ant file that is used to extract source code. Refer to the documentation
# for details on creating a custom extract Ant file using the template
# provided.
#-------------------------------------------------------------------------------
extract.ant.file=


#===============================================================================
# Properties for packaging
#===============================================================================

#-------------------------------------------------------------------------------
# ear.dir.includes
#
# The comma-separated list of files in ${module.dir}/WC to be included in the
# deployment packages. To include all files, leave this property blank.
#-------------------------------------------------------------------------------
ear.dir.includes=

#-------------------------------------------------------------------------------
# ear.dir.excludes
#
# The comma-separated list of files in ${module.dir}/WC to be excluded in the
# deployment packages. To not exclude any file, leave this property blank.
#-------------------------------------------------------------------------------
ear.dir.excludes=

#-------------------------------------------------------------------------------
# deploy.server.dir
#
# The directory that contains server deployment assets (such as scripts) to be
# included in the deployment package.
#-------------------------------------------------------------------------------
deploy.server.dir=${basedir}/deploy/server

#-------------------------------------------------------------------------------
# deploy.toolkit.dir
#
# The directory that contains toolkit deployment assets (such as scripts) to be
# included in the deployment package.
#-------------------------------------------------------------------------------
deploy.toolkit.dir=${basedir}/deploy/toolkit

#-------------------------------------------------------------------------------
# run.package.server
#
# "true" if server deployment package should be created; "false" otherwise
#-------------------------------------------------------------------------------
run.package.server=true

#-------------------------------------------------------------------------------
# run.package.toolkit
#
# "true" if toolkit deployment package should be created; "false" otherwise.
#-------------------------------------------------------------------------------
run.package.toolkit=true

#-------------------------------------------------------------------------------
# run.dos2unix
#
# "true" if dos2unix should be run before server packaging; "false" otherwise.
#-------------------------------------------------------------------------------
run.dos2unix=false

#-------------------------------------------------------------------------------
# dos2unix.includes
#
# The comma-separated list of files in ${working.package.dir}/server to be
# included when running the dos2unix process to strip out ^M characters for UNIX
# environments. To include all files, leave this property blank.
#-------------------------------------------------------------------------------
dos2unix.includes=

#-------------------------------------------------------------------------------
# dos2unix.excludes
#
# The comma-separated list of files in ${working.package.dir}/server to be
# excluded when running the dos2unix process to strip out ^M characters for UNIX
# environments. To not exclude any file, leave this property blank.
#-------------------------------------------------------------------------------
dos2unix.excludes=**/*.ear,**/*.jar,**/*.rar,**/*.war,**/*.zip


#===============================================================================
# Properties for Open Laszlo compilation
#===============================================================================

#-------------------------------------------------------------------------------
# lzc.stack.size
#
# The stack size to be used by the Open Laszlo compiler. Depending on the
# platform of the build system, the following values should be used:
#
#   x86 Linux:           -Xss5m
#   Solaris:             -Xss7m
#   All other platforms: -Xss192m
#-------------------------------------------------------------------------------
lzc.stack.size=-Xss192m


#===============================================================================
# Properties for centralized server deployment
#===============================================================================

#-------------------------------------------------------------------------------
# run.deploy.server
#
# "true" if centralized server deployment should be run; "false" otherwise.
#
# DEFAULT: false
#
# SINCE: V7 FP 2
#-------------------------------------------------------------------------------
run.deploy.server=false

#-------------------------------------------------------------------------------
# deploy.server.workspace.dir
#
# The directory that holds the expanded server deployment packages used for
# centralized server deployment.
#
# DEFAULT: deploy-server-workspace
#
# SINCE: V7 FP 2
#-------------------------------------------------------------------------------
deploy.server.workspace.dir=${basedir}/deploy-server-workspace

#-------------------------------------------------------------------------------
# deploy.server.target.env.list
#
# The comma-separated list of identifiers of target environment for the
# centralized server deployment.
#
# SINCE: V7 FP 2
#-------------------------------------------------------------------------------
deploy.server.target.env.list=

#-------------------------------------------------------------------------------
# deploy.server.command
#
# The command that invokes the server deployment process. 
#
# DEFAULT: wcbd-ant 
#
# SINCE: V7 FP 2
#-------------------------------------------------------------------------------
deploy.server.command=wcbd-ant

#-------------------------------------------------------------------------------
# deploy.server.command.args
#
# The command-line argument to pass into the server deployment command. Note
# that by default, the target environment property is passed in as provided by
# the ${deploy.server.target.env.list} property. As such it should not be
# included as part of this property.
#
# DEFAULT: -buildfile wcbd-deploy.xml 
#
# SINCE: V7 FP 2
#-------------------------------------------------------------------------------
deploy.server.command.args=-buildfile wcbd-deploy.xml


#===============================================================================
# Properties for e-mail notification
#===============================================================================

#-------------------------------------------------------------------------------
# run.mail.success
#
# "true" if build success notification should be sent; "false" otherwise.
#-------------------------------------------------------------------------------
run.mail.success=false

#-------------------------------------------------------------------------------
# run.mail.failure
#
# "true" if build failure notification should be sent; "false" otherwise.
#-------------------------------------------------------------------------------
run.mail.failure=false

#-------------------------------------------------------------------------------
# mail.from
#
# The e-mail address of the sender.
#-------------------------------------------------------------------------------
mail.from=

#-------------------------------------------------------------------------------
# mail.success.tolist
#
# The comma-separated list of recipients of build success notification.
#-------------------------------------------------------------------------------
mail.success.tolist=

#-------------------------------------------------------------------------------
# mail.failure.tolist
#
# The comma-separated list of recipients build failure notification.
#-------------------------------------------------------------------------------
mail.failure.tolist=

#-------------------------------------------------------------------------------
# mail.mailhost
#
# The host name of the SMTP server.
#-------------------------------------------------------------------------------
mail.mailhost=

#-------------------------------------------------------------------------------
# mail.mailport
#
# The TCP port of the SMTP server.
#-------------------------------------------------------------------------------
mail.mailport=25

#-------------------------------------------------------------------------------
# mail.ssl
#
# "true" if TLS/SSL is needed; "false" otherwise.
#-------------------------------------------------------------------------------
mail.ssl=false

#-------------------------------------------------------------------------------
# mail.success.subject
#
# The e-mail subject to use for build success notification.
#-------------------------------------------------------------------------------
mail.success.subject=WCBD Build Successful: ${build.label}

#-------------------------------------------------------------------------------
# mail.failure.subject
#
# The e-mail subject to use for build failure notification.
#-------------------------------------------------------------------------------
mail.failure.subject=WCBD Build FAILED: ${build.label}

#-------------------------------------------------------------------------------
# mail.success.message
#
# The e-mail message to use for build success notification.
#-------------------------------------------------------------------------------
mail.success.message=

#-------------------------------------------------------------------------------
# mail.failure.subject
#
# The e-mail message to use for build failure notification.
#-------------------------------------------------------------------------------
mail.failure.message=Check attached logs for details.


#===============================================================================
# CUSTOMIZATION: Add new properties required by customization below.
#===============================================================================
